//
//  PlayDetailPlaceHolderView.swift
//  ColorfulWallpaper
//
//  Created by nkl on 2024/9/13.
//

import Foundation
import UIKit

class PlayDetailPlaceHolderView: UIView {
    lazy var iconView: UIImageView = UIImageView(image: .icMusicPlaceholder)

    override init(frame: CGRect) {
        super.init(frame: frame)
        iconView.contentMode = .scaleAspectFill
        addChildren()
        makeConstraints()
    }

    func addChildren() {
        addSubview(iconView)
    }

    func makeConstraints() {
        iconView.snp.makeConstraints { make in
            make.edges.equalToSuperview()
        }
    }

    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }

    override func layoutSubviews() {
        super.layoutSubviews()
    }
}
